## crmsh 1.2.6+git+e77add

=== requirements.txt ===
lxml
PyYAML
nosexcover

## crmsh 1.2.5+hg953

=== debian/changelog ===
crmsh (1.2.5+hg953-2ubuntu5) saucy; urgency=low

  * Build-depend on libcrmcluster4-dev rather than libcrmcluster2-dev.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 10 Sep 2013 14:06:20 +0100

crmsh (1.2.5+hg953-2ubuntu4) saucy; urgency=low

  * debian/control: Breaks/Replaces pacemaker (<< 1.1.8-1) to not fail
    on upgrades.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Tue, 30 Jul 2013 17:54:03 -0400

crmsh (1.2.5+hg953-2ubuntu3) saucy; urgency=low

  * debian/control: Drop Build-Depends on python-support.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Sun, 28 Jul 2013 12:11:26 -0400

crmsh (1.2.5+hg953-2ubuntu2) saucy; urgency=low

  * debian/control: Build-Depend on docbook-xsl.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Thu, 25 Jul 2013 13:52:54 -0400

crmsh (1.2.5+hg953-2ubuntu1) saucy; urgency=low

  * debian/control:
    - Architecture: all, not any.
    - Build-Dep:  pkg-config, asciidoc, libxml2-utils, xsltproc, docbook-xml
    - Drop Depends on python, python-support for crmsh binary.
    - Add X-Python-Version.
  * debian/rules: Build with python2.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Wed, 17 Jul 2013 11:37:04 -0400

crmsh (1.2.5+hg953-2) experimental; urgency=low

  * Build-Depend on libcib3-dev instead of libcib2-dev

 -- Martin Loschwitz <madkiss@debian.org>  Fri, 19 Apr 2013 07:08:47 +0000

crmsh (1.2.5+hg953-1) experimental; urgency=low

  * New upstream release 

 -- Martin Loschwitz <madkiss@debian.org>  Wed, 20 Mar 2013 23:11:44 +0000

crmsh (1.2.0+hg20121010-1) unstable; urgency=low

  * New upstream checkout to catch some additional bugfixes
  * debian/control: Depend on version 1.1.8+git20121010 of libcib as well
    as libcrmcommon and libpengine to make sure we get the versions with
    proper .pc files (Closes: #690055)

 -- Martin Loschwitz <madkiss@debian.org>  Wed, 10 Oct 2012 11:39:06 +0000

crmsh (1.2.0+hg20121009-3) unstable; urgency=low

  * debian/control: Fix possible circular build dependency by using the
    real library package names instead of pacemaker-dev (Closes: #690055)

 -- Martin Loschwitz <madkiss@debian.org>  Tue, 09 Oct 2012 17:29:01 +0000

crmsh (1.2.0+hg20121009-2) unstable; urgency=low

  * debian/control: Set the maintainer field to the HA group instead of me
    personally. (Closes: #690055)

 -- Martin Loschwitz <madkiss@debian.org>  Tue, 09 Oct 2012 16:20:15 +0000

crmsh (1.2.0+hg20121009-1) unstable; urgency=low

  * Initial release (Closes: #690055)  <nnnn is the bug number of your ITP>

 -- Martin Loschwitz <madkiss@debian.org>  Tue, 09 Oct 2012 14:36:09 +0000

=== debian/control ===
Source: crmsh
Section: admin
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>
Uploaders: Martin Loschwitz <madkiss@debian.org>
Build-Depends: debhelper (>= 9.0.0), cluster-glue-dev, hardening-wrapper, python-all-dev, dh-autoreconf, libcib3-dev, libcrmcluster4-dev, libcrmcommon3-dev (>= 1.1.8+git20121010), libpe-rules2-dev, libpe-status4-dev, libpengine4-dev (>= 1.1.8+git20121010), libstonithd2-dev, libtransitioner2-dev, liblrmd1-dev, libcrmservice1-dev, pkg-config, asciidoc, libxml2-utils, xsltproc, docbook-xml, docbook-xsl
X-Python-Version: >= 2.5
Standards-Version: 3.9.3
Homepage: http://savannah.nongnu.org/projects/crmsh/

Package: crmsh
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Recommends: pacemaker (>= 1.1.8-1)
Breaks: pacemaker (<< 1.1.8-1)
Replaces: pacemaker (<< 1.1.8-1)
Description: CRM shell for the pacemaker cluster manager
 This package contains the famous CRM shell (crmsh) written by Dejan 
 Muhamedagic. Use it to manipulate the cluster information base (CIB)
 of a running pacemaker cluster without having to fiddle with XML 
 snipets. The CRM shell used to be part of the pacemaker package
 itself and became a separate project lately. If you are running a
 pacemaker cluster, then you should most definetely have this package
 installed.

## crmsh 1.2.5+hg1034

=== debian/changelog ===
crmsh (1.2.5+hg1034-1ubuntu4) trusty; urgency=medium

  * cibconf: repair configure load update (LP: #1353011).

 -- Rafael David Tinoco <rafael.tinoco@canonical.com>  Thu, 28 Aug 2014 13:17:21 -0700

crmsh (1.2.5+hg1034-1ubuntu3) trusty; urgency=medium

  * d/control: Add missing dependency on python-lxml (LP: #1289262). 

 -- James Page <james.page@ubuntu.com>  Fri, 07 Mar 2014 10:42:37 +0000

crmsh (1.2.5+hg1034-1ubuntu2) trusty; urgency=medium

  * Rebuild to drop files installed into /usr/share/pyshared.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Feb 2014 13:46:40 +0000

crmsh (1.2.5+hg1034-1ubuntu1) trusty; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Architecture: all, not any.
    - Build-Depends: pkg-config, asciidoc, libxml2-utils, xsltproc,
      docbook-xml, docbook-xsl.
    - Drop Depends on python, python-support for crmsh binary.
    - Convert to dh_python2.
    - Breaks/Replaces pacemaker (<< 1.1.8-1) to not fail on upgrades.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 25 Oct 2013 17:21:17 +0100

crmsh (1.2.5+hg1034-1) unstable; urgency=low

  * New upstream checkout

 -- Martin Loschwitz <madkiss@debian.org>  Mon, 05 Aug 2013 05:21:29 +0000

crmsh (1.2.5+hg1006-1) unstable; urgency=low

  * New upstream checkout for Pacemaker 1.1.10

 -- Martin Loschwitz <madkiss@debian.org>  Fri, 02 Aug 2013 07:37:50 +0000

crmsh (1.2.5+hg953-3) unstable; urgency=low

  * Upload to unstable instead of experimental

 -- Martin Loschwitz <madkiss@debian.org>  Fri, 02 Aug 2013 06:52:11 +0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# enable hardening
export DEB_BUILD_HARDENING=1

CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with autoreconf,python2

override_dh_installdocs:
	dh_installdocs
	rm -rf $(CURDIR)/debian/crmsh/usr/share/doc/crmsh/COPYING

override_dh_compress:
	find $(CURDIR)/debian/crmsh/ -name '*.pyo' | xargs rm -rf
	find $(CURDIR)/debian/crmsh/ -name '*.pyc' | xargs rm -rf
	dh_compress

## crmsh 1.2.6+git+e77add

=== debian/changelog ===
crmsh (1.2.6+git+e77add-1.3ubuntu2) vivid; urgency=medium

  * Build-depend on libcib4-dev.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 16 Mar 2015 14:21:02 +0100

crmsh (1.2.6+git+e77add-1.3ubuntu1) vivid; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Architecture: all, not any.
    - Drop Depends on python, python-support for crmsh binary.
    - Convert to dh_python2.
  * Dropped changes, included in Debian:
    - Build-Depends: docbook-xsl.
  * d/control,rules: Drop BD on hardening-wrapper, tweak rules.
  * d/control: Bumped Standards-Version to 3.9.6, no changes.

 -- James Page <james.page@ubuntu.com>  Wed, 03 Dec 2014 16:59:23 +0000

crmsh (1.2.6+git+e77add-1.3) unstable; urgency=low

  * Non-maintainer upload.
  * Build-Depend on docbook-xsl to fix FTBFS
    Closes: 770132

 -- Johann Felix Soden <johfel@debian.org>  Sat, 22 Nov 2014 13:09:35 +0100

crmsh (1.2.6+git+e77add-1.2ubuntu1) utopic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Architecture: all, not any.
    - Build-Depends: docbook-xsl.
    - Drop Depends on python, python-support for crmsh binary.
    - Convert to dh_python2.
  * Dropped changes, included in Debian:
    - d/control: Add missing dependency on python-lxml
    - Build-Depends: pkg-config, asciidoc, libxml2-utils, xsltproc,
      docbook-xml.
    - Breaks/Replaces pacemaker (<< 1.1.8-1) to not fail on upgrades.

 -- James Page <james.page@ubuntu.com>  Fri, 30 May 2014 09:30:36 +0100

crmsh (1.2.6+git+e77add-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Depend on python-yaml to fix grave bug (Closes: #745219)

 -- Stefan Bauer (Cubewerk GmbH) <stefan.bauer@cubewerk.de>  Fri, 25 Apr 2014 17:46:39 +0200

crmsh (1.2.6+git+e77add-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add pkg-config to Build-Depends. Closes: 741772

 -- Chris Boot <debian@bootc.net>  Sat, 22 Mar 2014 15:50:25 +0000

crmsh (1.2.6+git+e77add-1) unstable; urgency=medium

  * New upstream checkout
  * debian/control: Bump Standards-Version
  * debian/control: Add Breaks & Replaces for Pacemaker << 1.1.8 
    Closes: 717986
  * debian/control: Depend on python-lxml
    Closes: 738651

 -- Martin Loschwitz <madkiss@debian.org>  Fri, 21 Feb 2014 15:51:13 +0000

=== debian/control ===
Source: crmsh
Section: admin
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>
Uploaders: Martin Loschwitz <madkiss@debian.org>
Build-Depends: debhelper (>= 9.0.0), cluster-glue-dev, python-all-dev, dh-autoreconf, libcib4-dev, libcrmcluster4-dev, libcrmcommon3-dev (>= 1.1.8+git20121010), libpe-rules2-dev, libpe-status4-dev, libpengine4-dev (>= 1.1.8+git20121010), libstonithd2-dev, libtransitioner2-dev, liblrmd1-dev, libcrmservice1-dev, pkg-config, asciidoc, libxml2-utils, docbook-xml, xsltproc, docbook-xsl
X-Python-Version: >= 2.5
Standards-Version: 3.9.6
Homepage: http://savannah.nongnu.org/projects/crmsh/

Package: crmsh
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-lxml, python-yaml
Recommends: pacemaker (>= 1.1.8-1)
Replaces: pacemaker (<< 1.1.8-1)
Breaks: pacemaker (<< 1.1.8-1)
Description: CRM shell for the pacemaker cluster manager
 This package contains the famous CRM shell (crmsh) written by Dejan 
 Muhamedagic. Use it to manipulate the cluster information base (CIB)
 of a running pacemaker cluster without having to fiddle with XML
 snipets. The CRM shell used to be part of the pacemaker package
 itself and became a separate project lately. If you are running a
 pacemaker cluster, then you should most definetely have this package
 installed.

=== debian/rules ===
--- 
+++ 
@@ -5,9 +5,6 @@
 # As a special exception, when this file is copied by dh-make into a
 # dh-make output file, you may use that output file without restriction.
 # This special exception was added by Craig Small in version 0.37 of dh-make.
-
-# enable hardening
-export DEB_BUILD_HARDENING=1
 
 CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
 CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)

## crmsh 2.2.0

=== requirements.txt ===
lxml
PyYAML
nosexcover
python-dateutil

=== doc/website-v1/Makefile ===
ASCIIDOC := asciidoc
CRMCONF := crm.conf
SRC := faq.adoc documentation.adoc development.adoc installation.adoc \
	configuration.adoc about.adoc rsctest-guide.adoc \
	history-guide.adoc start-guide.adoc man-1.2.adoc scripts.adoc man-2.0.adoc
HISTORY_LISTINGS = include/history-guide/nfs-probe-err.typescript \
	include/history-guide/sample-cluster.conf.crm \
	include/history-guide/status-probe-fail.typescript \
	include/history-guide/resource-trace.typescript \
	include/history-guide/stonith-corosync-stopped.typescript \
	include/history-guide/basic-transition.typescript \
	include/history-guide/diff.typescript \
	include/history-guide/info.typescript \
	include/history-guide/resource.typescript \
	include/history-guide/transition-log.typescript
TGT := $(patsubst %.adoc,gen/%/index.html,$(SRC))
CSS := css/crm.css css/font-awesome.min.css
CSS := $(patsubst %,gen/%,$(CSS))
ICONS := \
	img/icons/caution.png \
	img/icons/example.png \
	img/icons/home.png \
	img/icons/important.png \
	img/icons/next.png \
	img/icons/note.png \
	img/icons/prev.png \
	img/icons/tip.png \
	img/icons/up.png \
	img/icons/warning.png \
	img/icons/callouts/10.png \
	img/icons/callouts/11.png \
	img/icons/callouts/12.png \
	img/icons/callouts/13.png \
	img/icons/callouts/14.png \
	img/icons/callouts/15.png \
	img/icons/callouts/1.png \
	img/icons/callouts/2.png \
	img/icons/callouts/3.png \
	img/icons/callouts/4.png \
	img/icons/callouts/5.png \
	img/icons/callouts/6.png \
	img/icons/callouts/7.png \
	img/icons/callouts/8.png \
	img/icons/callouts/9.png
IMG := $(ICONS) img/loader.gif img/laptop.png img/servers.gif \
	img/history-guide/sample-cluster.conf.png \
	img/history-guide/smallapache-start.png
IMG  := $(patsubst %,gen/%,$(IMG))
FONTS := fonts/FontAwesome.otf fonts/fontawesome-webfont.eot \
	fonts/fontawesome-webfont.svg fonts/fontawesome-webfont.ttf \
	fonts/fontawesome-webfont.woff
FONTS := $(patsubst %,gen/%,$(FONTS))
WATCHDIR := watchdir
XDGOPEN := xdg-open
NEWS := $(wildcard news/*.adoc)
NEWSDOC := $(patsubst %.adoc,gen/%/index.html,$(NEWS))

.PHONY: all clean deploy open

all: site

gen/index.html: index.adoc $(CRMCONF)
	@mkdir -p $(dir $@)
	@$(ASCIIDOC) --unsafe -b html5 -a icons -a iconsdir=/img/icons -f $(CRMCONF) -o $@ $<
	@python ./postprocess.py -o $@ $<

gen/%/index.html: %.adoc $(CRMCONF)
	@mkdir -p $(dir $@)
	@$(ASCIIDOC) --unsafe -b html5 -a icons -a iconsdir=/img/icons -f $(CRMCONF) -o $@ $<
	@python ./postprocess.py -o $@ $<

gen/history-guide/index.html: $(HISTORY_LISTINGS)

gen/man/index.html: ../crm.8.adoc $(CRMCONF)
	@mkdir -p $(dir $@)
	@$(ASCIIDOC) --unsafe -b html5 -f $(CRMCONF) -o $@ $<
	@python ./postprocess.py -o $@ $<

gen/404.html: 404.adoc $(CRMCONF)
	@mkdir -p $(dir $@)
	@$(ASCIIDOC) --unsafe -b html5 -f $(CRMCONF) -o $@ $<
	@python ./postprocess.py -o $@ $<

news.adoc: $(NEWS) $(CRMCONF)
	@echo "news:" $(NEWS)
	python ./make-news.py $@ $(NEWS)

gen/news/index.html: news.adoc
	@mkdir -p $(dir $@)
	$(ASCIIDOC) --unsafe -b html5 -f $(CRMCONF) -o $@ $<
	@python ./postprocess.py -o $@ $<

gen/css/%.css: css/%.css
	@mkdir -p gen/css
	@cp -r $< $@
	@echo "+ $@"

gen/js/%.js: js/%.js
	@mkdir -p gen/js
	@cp -r $< $@
	@echo "+ $@"

gen/img/icons/callouts/%: img/icons/callouts/%
	@mkdir -p gen/img/icons/callouts
	@cp -r $< $@
	@echo "+ $@"

gen/img/icons/%: img/icons/%
	@mkdir -p gen/img/icons
	@cp -r $< $@
	@echo "+ $@"

gen/img/history-guide/%: img/history-guide/%
	@mkdir -p gen/img/history-guide
	@cp -r $< $@
	@echo "+ $@"

gen/img/%: img/%
	@mkdir -p gen/img
	@cp -r $< $@
	@echo "+ $@"

gen/fonts/%: fonts/%
	@mkdir -p gen/fonts
	@cp -r $< $@
	@echo "+ $@"

gen/atom.xml: $(NEWSDOC)
	@echo "atom:" $(NEWSDOC)
	python ./make-news.py gen/atom.xml $(NEWS)

site: gen/atom.xml gen/index.html gen/404.html gen/news/index.html gen/man/index.html $(TGT) $(CSS) $(IMG) $(FONTS) $(NEWSDOC)

deploy: site
	@echo "TODO: CVS upload"

open: site
	@$(XDGOPEN) gen/index.html

watch:
	@$(WATCHDIR) --verbose --cmd "make" . css img fonts

clean:
	-@$(RM) -rf gen/* news.adoc

=== debian/changelog ===
crmsh (2.2.0-1) unstable; urgency=high

  [ Richard B Winters ]
  * New upstream release 
  * debian/clean: Added 
    - In order to incorporate the recommended strategy for
      handling Python eggs
  * debian/rules: Multiple changes;
    - Updated hardening implementation
    - Added an export for ensuring a link against all needed 
      libraries (cf. Policy 10.2)
    - Override configure to properly set paths for build
    - Override dh_auto_build to add instruction for building 
      html documentation
    - Override dh_auto_install to remove duplicate files
    - Override dh_compress to strip compiled bytecode from the
      package
    - Added --single-version-externally-managed as recommended
      for handling Python eggs
  * debian/control: Multiple changes;
    - Updated uploaders list and formatted for folding
    - Added Vcs-Git and Vcs-Browser entries
    - Updated Build-Depends to reflect current dependencies;
    - Python updated to Python2.7 as > Python27 not supported
    - Dropped hardening-wrapper; not necessary any longer
    - Formatted Build-Depends and Depends entries for folding
    - Updated Build-Depends to not use transitional packages
    - Updated description
    - Bumped standards version to 3.9.6; No changes required
    - Added crmsh-doc to package offering
  * debian/copyright: Multiple edits
    - Updated source field to current upstream source location
    - Consolidated copyright notices for authors added to upstreams
      author list found in AUTHORS
    - Updated copyright for debian/* to include myself and Debian-HA
      team
    - Added License paragraph to remove need for including a paragraph
      for each copyright/license entry present
  * debian/crmsh.install: Added since multiple package build requires
    it
  * debian/crmsh.doc-base: Added for crmsh html documents
  * debian/crmsh-doc.install: Add to support crmsh-doc package
  * debian/crmsh-doc.doc-base: Added for crmsh-doc html documents
  * debian/patches/*: Added for resolving privacy-breach-generic
    lintian informational warnings;
    - Includes binary png file in source to remove need for remote
      resource
    - Patches crm.conf file for asciidoc, to fix remove remote
      resource in .html files
    - Patch python file to fix resource links in atom.xml template
    - Series file added
  * debian/postinst: Added to compile bytecode for *.py files
  * debian/prerm: Added to removed compiled bytecode
  * debian/pycompat: Added as recommended by packaging tools
  * debian/source/include-binaries: Added to allow patch which adds
    a binary png file to the upstream source
  * debian/source/options: Added
    - Added to incorporate the recommended strategy for handling
      Python eggs
  * debian/watch: Added for monitoring upstream releases

  [ Adrian Vondendriesch ]
  * debian/control: Add python-dateutil to Build-Depends

 -- Richard B Winters <rik@mmogp.com>  Thu, 28 Jan 2016 21:22:05 +0100

crmsh (1.2.6+git+e77add-2) unstable; urgency=medium

  * Update control for new pacemaker dev packages.

 -- Christoph Berg <myon@debian.org>  Sat, 16 Jan 2016 16:26:36 +0100

crmsh (1.2.6+git+e77add-1.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Port from python-support to dh_python2 (Closes: #785973)

 -- Stefano Rivera <stefanor@debian.org>  Thu, 20 Aug 2015 15:31:26 +0200

=== debian/control ===
Source: crmsh
Section: admin
Priority: extra
Maintainer: Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>
Uploaders: Martin Loschwitz <madkiss@debian.org>,
 Richard B Winters <rik@mmogp.com>,
 Christoph Berg <myon@debian.org>
Build-Depends: debhelper (>= 9.0.0),
 asciidoc,
 autotools-dev,
 cluster-glue-dev,
 dh-autoreconf,
 dh-python,
 docbook-xml,
 docbook-xsl,
 libcib-dev (>= 1.1.12),
 libcrmcluster-dev (>= 1.1.12),
 libcrmcommon-dev (>= 1.1.12),
 libcrmservice-dev (>= 1.1.12),
 liblrm2-dev (>= 1.0.12~),
 liblrmd-dev (>= 1.1.12),
 libpengine-dev (>= 1.1.12),
 libpils2-dev (>= 1.0.12~),
 libplumb2-dev (>= 1.0.12~),
 libplumbgpl2-dev (>= 1.0.12~),
 libstonith1-dev (>= 1.0.12~),
 libstonithd-dev (>= 1.1.14),
 libxml2-utils,
 pkg-config,
 python-all (>= 2.6.6-3~),
 python-all-dev,
 python-dateutil,
 python-setuptools,
 xsltproc
Standards-Version: 3.9.6
Homepage: http://crmsh.github.io/
Vcs-Git: https://alioth.debian.org/anonscm/git/debian-ha/crmsh.git
Vcs-Browser: http://anonscm.debian.org/cgit/debian-ha/crmsh.git

Package: crmsh
Architecture: any
Depends: ${shlibs:Depends},
 ${python:Depends},
 ${misc:Depends},
 pacemaker-cli-utils,
 python2.7 (>=2.7.9),
 python-lxml,
 python-yaml
Recommends: pacemaker (>= 1.1.12)
Replaces: pacemaker (<< 1.1.12)
Breaks: pacemaker (<< 1.1.12)
Description: CRM shell for the pacemaker cluster manager
 The crm shell is an advanced command-line interface for High-Availability
 cluster management in GNU/Linux. Effortlessly configure, manage and 
 troubleshoot your clusters from the command line, with full tab completion
 and extensive help. crmsh also provides advanced features like low-level 
 cluster configuration, cluster scripting and package management, and 
 history exploration tools giving you an instant view of what your cluster 
 is doing.

Package: crmsh-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: crmsh HTML Documentation
 The crm shell is an advanced command-line interface for High-Availability
 cluster management in GNU/Linux. Effortlessly configure, manage and 
 troubleshoot your clusters from the command line, with full tab completion
 and extensive help. crmsh also provides advanced features like low-level 
 cluster configuration, cluster scripting and package management, and 
 history exploration tools giving you an instant view of what your cluster 
 is doing.
 .
 This package contains the html Pacemaker API documentation.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Ensure that we link against all needed libraries (cf. Policy 10.2)
export DEB_LDFLAGS_MAINT_APPEND=-Wl,-z,defs

# Properly support multi-arch triplet paths
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH) 

# If your package provides eggs, install egg-info directories instead of real eggs
DEB_PYTHON_INSTALL_ARGS_ALL += --single-version-externally-managed

# main packaging script based on dh7 syntax
%:
	dh $@ --with autoreconf,python2 --fail-missing

override_dh_auto_configure:
	dh_auto_configure -- --prefix=/usr --sysconfdir=/etc \
	    --libdir=/usr/lib/$(DEB_HOST_MULTIARCH) --includedir=/usr/include/$(DEB_HOST_MULTIARCH) \
	    --datadir=/usr/share --docdir=/usr/share/doc/crmsh --htmldir=/usr/share/doc/crmsh/html

override_dh_auto_build:
	dh_auto_build
# Manually invoke building of the asciidoc html documentation
	cd $(CURDIR)/doc/website-v1 && $(MAKE)
	cd $(CURDIR)/../

DOC = debian/tmp/usr/share/doc/crmsh

override_dh_auto_install:
	dh_auto_install
# remove redundant COPYING files
	rm -v $(DOC)/COPYING $(DOC)/ChangeLog

override_dh_compress:
	find $(CURDIR)/debian/crmsh/ -name '*.pyo' | xargs rm -rf
	find $(CURDIR)/debian/crmsh/ -name '*.pyc' | xargs rm -rf
	dh_compress

override_dh_clean:
	dh_clean build/ doc/*.8 doc/*.html doc/website-v1/gen/

## crmsh 2.2.1

=== debian/changelog ===
crmsh (2.2.1-1) unstable; urgency=medium

  * New upstream release
  * patches:
    - drop 0001-Remove-AM_CONDITIONAL-for-UNAME_IS_DEBIAN.patch
    - drop 0002-Remove-fix-for-Debian.patch
  * Add myself to uploaders.
  * Bump standars version.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Tue, 03 May 2016 20:05:28 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
 Maintainer: Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>
 Uploaders: Martin Loschwitz <madkiss@debian.org>,
  Richard B Winters <rik@mmogp.com>,
- Christoph Berg <myon@debian.org>
+ Christoph Berg <myon@debian.org>,
+ Adrian Vondendriesch <adrian.vondendriesch@credativ.de>
 Build-Depends: debhelper (>= 9.0.0),
  asciidoc,
  autotools-dev,
@@ -32,7 +33,7 @@
  python-dateutil,
  python-setuptools,
  xsltproc
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://crmsh.github.io/
 Vcs-Git: https://alioth.debian.org/anonscm/git/debian-ha/crmsh.git
 Vcs-Browser: http://anonscm.debian.org/cgit/debian-ha/crmsh.git

=== debian/tests/control ===
Test-Command: crm --help
Depends: @
Restrictions: needs-root

Test-Command: crm help
Depends: @
Restrictions: needs-root

Test-Command: crm --version
Depends: @
Restrictions: needs-root

Tests: pacemaker-basic-resource.sh
Depends: @, pacemaker, corosync
Restrictions: needs-root, allow-stderr, isolation-container

## crmsh 2.3.2

=== doc/website-v1/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 ASCIIDOC := asciidoc
 CRMCONF := crm.conf
 SRC := faq.adoc documentation.adoc development.adoc installation.adoc \
-	configuration.adoc about.adoc rsctest-guide.adoc \
+	configuration.adoc about.adoc rsctest-guide.adoc download.adoc \
 	history-guide.adoc start-guide.adoc man-1.2.adoc scripts.adoc man-2.0.adoc
 HISTORY_LISTINGS = include/history-guide/nfs-probe-err.typescript \
 	include/history-guide/sample-cluster.conf.crm \
@@ -130,6 +130,7 @@
 	python ./make-news.py gen/atom.xml $(NEWS)
 
 site: gen/atom.xml gen/index.html gen/404.html gen/news/index.html gen/man/index.html $(TGT) $(CSS) $(IMG) $(FONTS) $(NEWSDOC)
+	@which dos2unix >/dev/null && find gen -name "*.html" -type f -exec dos2unix {} \;
 
 deploy: site
 	@echo "TODO: CVS upload"

=== debian/changelog ===
crmsh (2.3.2-4~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * debian/tests/utils.sh: Update for dpkg behavior on jessie.

 -- Christoph Berg <christoph.berg@credativ.de>  Wed, 07 Jun 2017 12:31:52 +0200

crmsh (2.3.2-4) unstable; urgency=medium

  * Remove uninstall file list

 -- Valentin Vidic <Valentin.Vidic@CARNet.hr>  Mon, 19 Dec 2016 10:45:25 +0100

crmsh (2.3.2-3) unstable; urgency=medium

  * Make crm.8.html generation reproducible
  * Cleanup debian/rules

 -- Valentin Vidic <Valentin.Vidic@CARNet.hr>  Mon, 12 Dec 2016 10:46:36 +0100

crmsh (2.3.2-2) unstable; urgency=medium

  [ Valentin Vidic ]
  * Use https for Vcs-Browser link (lintian fix)
  * Update debian/copyright for moved files (lintian fix)
  * crmsh: Change Architecture to all
  * Drop unused libraries from build-depends
  * Make generated documentation reproducible
  * Remove unused packages from Build-Depends
  * Fix crm manpage spelling
  * crmsh-doc: add Multi-Arch: foreign
  * d/tests: add basic crm node tests
  * Patch scripts in utils to work on Debian
  * d/tests: add tests for package management scripts
  * Add patch to make 'cluster init' work on Debian
  * Add python-parallax to Depends (Closes: #819545)
  * Add patch to fix crm history on Debian systems

  [ Christoph Berg ]
  * Remove Martin and myself from Uploaders.

 -- Valentin Vidic <Valentin.Vidic@CARNet.hr>  Sun, 04 Dec 2016 18:57:50 +0100

crmsh (2.3.2-1) unstable; urgency=medium

  [ Christoph Berg ]
  * Fix changelog for previous upload, d/tests got lost.

  [ Arturo Borrero Gonzalez ]
  * Refresh 0004-Fix-privacy-breach-generic-caused-by-footer-template.patch
    patch

  [ Valentin Vidic ]
  * Imported upstream version 2.3.2 (Closes: #815823, #815346)
  * crm report: add gawk to Depends
  * crm report: upstream fix for dash (Closes: #772269)
  * Add myself to Uploaders list

 -- Valentin Vidic <Valentin.Vidic@CARNet.hr>  Thu, 03 Nov 2016 10:20:56 +0100

crmsh (2.2.0-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Christoph Berg <christoph.berg@credativ.de>  Mon, 14 Mar 2016 15:44:12 +0100

=== debian/control ===
--- 
+++ 
@@ -2,50 +2,39 @@
 Section: admin
 Priority: extra
 Maintainer: Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>
-Uploaders: Martin Loschwitz <madkiss@debian.org>,
+Uploaders:
  Richard B Winters <rik@mmogp.com>,
- Christoph Berg <myon@debian.org>,
- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>
+ Adrian Vondendriesch <adrian.vondendriesch@credativ.de>,
+ Valentin Vidic <Valentin.Vidic@CARNet.hr>
 Build-Depends: debhelper (>= 9.0.0),
  asciidoc,
- autotools-dev,
- cluster-glue-dev,
  dh-autoreconf,
  dh-python,
  docbook-xml,
  docbook-xsl,
- libcib-dev (>= 1.1.12),
- libcrmcluster-dev (>= 1.1.12),
- libcrmcommon-dev (>= 1.1.12),
- libcrmservice-dev (>= 1.1.12),
- liblrm2-dev (>= 1.0.12~),
- liblrmd-dev (>= 1.1.12),
- libpengine-dev (>= 1.1.12),
- libpils2-dev (>= 1.0.12~),
- libplumb2-dev (>= 1.0.12~),
- libplumbgpl2-dev (>= 1.0.12~),
- libstonith1-dev (>= 1.0.12~),
- libstonithd-dev (>= 1.1.14),
+ dos2unix,
  libxml2-utils,
  pkg-config,
  python-all (>= 2.6.6-3~),
- python-all-dev,
  python-dateutil,
+ python-pygments,
  python-setuptools,
  xsltproc
 Standards-Version: 3.9.8
 Homepage: http://crmsh.github.io/
 Vcs-Git: https://alioth.debian.org/anonscm/git/debian-ha/crmsh.git
-Vcs-Browser: http://anonscm.debian.org/cgit/debian-ha/crmsh.git
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-ha/crmsh.git
 
 Package: crmsh
-Architecture: any
+Architecture: all
 Depends: ${shlibs:Depends},
  ${python:Depends},
  ${misc:Depends},
+ gawk,
  pacemaker-cli-utils,
  python2.7 (>=2.7.9),
  python-lxml,
+ python-parallax,
  python-yaml
 Recommends: pacemaker (>= 1.1.12)
 Replaces: pacemaker (<< 1.1.12)
@@ -62,6 +51,7 @@
 Package: crmsh-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Description: crmsh HTML Documentation
  The crm shell is an advanced command-line interface for High-Availability

=== debian/rules ===
--- 
+++ 
@@ -24,11 +24,12 @@
 	    --libdir=/usr/lib/$(DEB_HOST_MULTIARCH) --includedir=/usr/include/$(DEB_HOST_MULTIARCH) \
 	    --datadir=/usr/share --docdir=/usr/share/doc/crmsh --htmldir=/usr/share/doc/crmsh/html
 
+# Make generated documentation reproducible
+override_dh_auto_build: export TZ=UTC
 override_dh_auto_build:
 	dh_auto_build
 # Manually invoke building of the asciidoc html documentation
 	cd $(CURDIR)/doc/website-v1 && $(MAKE)
-	cd $(CURDIR)/../
 
 DOC = debian/tmp/usr/share/doc/crmsh
 
@@ -36,11 +37,13 @@
 	dh_auto_install
 # remove redundant COPYING files
 	rm -v $(DOC)/COPYING $(DOC)/ChangeLog
-
-override_dh_compress:
-	find $(CURDIR)/debian/crmsh/ -name '*.pyo' | xargs rm -rf
-	find $(CURDIR)/debian/crmsh/ -name '*.pyc' | xargs rm -rf
-	dh_compress
+# keep crm in /usr/sbin for now
+	install -D debian/tmp/usr/bin/crm debian/tmp/usr/sbin/crm
+	rm debian/tmp/usr/bin/crm
+# remove uninstall file list (breaks reproducible builds)
+	rm debian/tmp/usr/lib/python2.7/dist-packages/crmsh/install_files.txt
 
 override_dh_clean:
 	dh_clean build/ doc/*.8 doc/*.html doc/website-v1/gen/
+# Restore timestamp after patching to make build reproducible
+	touch --reference=$(CURDIR)/doc/crmsh_hb_report.8.adoc $(CURDIR)/doc/crm.8.adoc

=== debian/tests/control ===
--- 
+++ 
@@ -10,6 +10,14 @@
 Depends: @
 Restrictions: needs-root
 
+Tests: utils.sh
+Depends: @
+Restrictions: needs-root, allow-stderr
+
 Tests: pacemaker-basic-resource.sh
 Depends: @, pacemaker, corosync
 Restrictions: needs-root, allow-stderr, isolation-container
+
+Tests: pacemaker-node-status.sh
+Depends: @, pacemaker, corosync
+Restrictions: needs-root, allow-stderr, isolation-container

## crmsh 3.0.1

=== requirements.txt ===
lxml
PyYAML
nosexcover
python-dateutil
parallax

=== doc/website-v1/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 CRMCONF := crm.conf
 SRC := faq.adoc documentation.adoc development.adoc installation.adoc \
 	configuration.adoc about.adoc rsctest-guide.adoc download.adoc \
-	history-guide.adoc start-guide.adoc man-1.2.adoc scripts.adoc man-2.0.adoc
+	history-guide.adoc start-guide.adoc man-1.2.adoc scripts.adoc man-2.0.adoc man-3.adoc
 HISTORY_LISTINGS = include/history-guide/nfs-probe-err.typescript \
 	include/history-guide/sample-cluster.conf.crm \
 	include/history-guide/status-probe-fail.typescript \

=== debian/changelog ===
crmsh (3.0.1-3ubuntu1) bionic; urgency=medium

  * d/t/utils.sh: in autopkgtest, use --force-depends to fix autopkgtest
    on ubuntu cloud VMs.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sat, 10 Feb 2018 20:45:43 +0000

crmsh (3.0.1-3) unstable; urgency=medium

  * d/patches: fix crm cluster stop/start on Debian
  * d/tests: use vim for testing package removal (Closes: #883524)
  * d/tests: update Depends list for dmidecode (Closes: #883524)
  * d/patches: drop patches merged upstream
  * d/compat: update debhelper to v11
  * d/control: update Standards-Version to 4.1.3
  * d/changelog: cleanup trailing whitespace
  * d/control: cleanup trailing whitespace

 -- Valentin Vidic <Valentin.Vidic@CARNet.hr>  Thu, 25 Jan 2018 21:40:26 +0100

crmsh (3.0.1-2) unstable; urgency=medium

  * d/control: add fdisk to Depends (Closes: #872129)
  * d/control: replace deprecated priority extra
  * d/control: move tools used by bootstrap to Suggests
  * d/patches: disable watchdog when generating corosync.conf

 -- Valentin Vidic <Valentin.Vidic@CARNet.hr>  Fri, 01 Sep 2017 20:32:26 +0200

crmsh (3.0.1-1) unstable; urgency=medium

  * New upstream version 3.0.1
  * d/patches: refresh for new upstream version
  * d/control: remove dh-autoreconf from Depends
  * d/patches: add fixes for cluster init on Debian
  * d/tests: add test for cluster init

 -- Valentin Vidic <Valentin.Vidic@CARNet.hr>  Tue, 25 Jul 2017 15:32:31 +0200

crmsh (3.0.0-1) unstable; urgency=medium

  [ Christoph Berg ]
  * debian/tests/utils.sh: Make test more robust against environment changes.

  [ Valentin Vidic ]
  * New upstream version 3.0.0
  * d/patches: refresh for new upstream version
  * d/control: remove ${shlibs:Depends} from Depends
  * d/rules: use dh_missing --fail-missing
  * d/control: update Standards-Version to 4.0.0
  * d/control: update debhelper to version 10

 -- Valentin Vidic <Valentin.Vidic@CARNet.hr>  Tue, 27 Jun 2017 23:50:54 +0200

=== debian/control ===
Source: crmsh
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>
Uploaders:
 Richard B Winters <rik@mmogp.com>,
 Adrian Vondendriesch <adrian.vondendriesch@credativ.de>,
 Valentin Vidic <Valentin.Vidic@CARNet.hr>
Build-Depends: debhelper (>= 11),
 asciidoc,
 dh-python,
 docbook-xml,
 docbook-xsl,
 dos2unix,
 libxml2-utils,
 pkg-config,
 python-all (>= 2.6.6-3~),
 python-dateutil,
 python-pygments,
 python-setuptools,
 xsltproc
Standards-Version: 4.1.3
Homepage: http://crmsh.github.io/
Vcs-Git: https://alioth.debian.org/anonscm/git/debian-ha/crmsh.git
Vcs-Browser: https://anonscm.debian.org/cgit/debian-ha/crmsh.git

Package: crmsh
Architecture: all
Depends: ${python:Depends},
 ${misc:Depends},
 gawk,
 pacemaker-cli-utils,
 python2.7 (>=2.7.9),
 python-lxml,
 python-parallax,
 python-yaml
Recommends: pacemaker (>= 1.1.12)
Replaces: pacemaker (<< 1.1.12)
Breaks: pacemaker (<< 1.1.12)
Suggests:
 csync2,
 dmidecode,
 fdisk | util-linux (<< 2.29.2-3~),
 ocfs2-tools,
 openssh-server,
 parted,
 sbd,
 ufw
Description: CRM shell for the pacemaker cluster manager
 The crm shell is an advanced command-line interface for High-Availability
 cluster management in GNU/Linux. Effortlessly configure, manage and
 troubleshoot your clusters from the command line, with full tab completion
 and extensive help. crmsh also provides advanced features like low-level
 cluster configuration, cluster scripting and package management, and
 history exploration tools giving you an instant view of what your cluster
 is doing.

Package: crmsh-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: crmsh HTML Documentation
 The crm shell is an advanced command-line interface for High-Availability
 cluster management in GNU/Linux. Effortlessly configure, manage and
 troubleshoot your clusters from the command line, with full tab completion
 and extensive help. crmsh also provides advanced features like low-level
 cluster configuration, cluster scripting and package management, and
 history exploration tools giving you an instant view of what your cluster
 is doing.
 .
 This package contains the html Pacemaker API documentation.

=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,10 @@
 
 # main packaging script based on dh7 syntax
 %:
-	dh $@ --with autoreconf,python2 --fail-missing
+	dh $@ --with python2
+
+override_dh_missing:
+	dh_missing --fail-missing
 
 override_dh_auto_configure:
 	dh_auto_configure -- --prefix=/usr --sysconfdir=/etc \

=== debian/tests/control ===
--- 
+++ 
@@ -21,3 +21,7 @@
 Tests: pacemaker-node-status.sh
 Depends: @, pacemaker, corosync
 Restrictions: needs-root, allow-stderr, isolation-container
+
+Tests: pacemaker-cluster-init.sh
+Depends: @, pacemaker, corosync, csync2, ntp, ufw, openssh-server, dmidecode [any-amd64 arm64 armhf any-i386], booth, booth-pacemaker
+Restrictions: needs-root, allow-stderr, isolation-container

## crmsh 3.0.3

=== debian/changelog ===
crmsh (3.0.3-2) unstable; urgency=medium

  * d/patches: use knet for unicast bootstrap
  * d/tests: use unicast for cluster bootstrap
  * d/tests: fix default node name
  * d/control: update Standards-Version to 4.3.0
  * d/control: update my email address

 -- Valentin Vidic <vvidic@debian.org>  Thu, 27 Dec 2018 21:05:17 +0100

crmsh (3.0.3-1) unstable; urgency=medium

  * New upstream version 3.0.3
  * d/rules: install bash completion
  * d/rules: install vim plugin
  * d/patches: refresh for new upstream version

 -- Valentin Vidic <Valentin.Vidic@CARNet.hr>  Mon, 02 Jul 2018 14:35:45 +0200

crmsh (3.0.1-4) unstable; urgency=medium

  * d/control: update Vcs URLs to use salsa
  * d/rules: cleanup trailing whitespace
  * d/copyright: use https in Format url
  * d/control: update Standards-Version to 4.1.4

 -- Valentin Vidic <Valentin.Vidic@CARNet.hr>  Wed, 11 Apr 2018 09:40:22 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: crmsh
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>
+Maintainer: Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>
 Uploaders:
  Richard B Winters <rik@mmogp.com>,
  Adrian Vondendriesch <adrian.vondendriesch@credativ.de>,
- Valentin Vidic <Valentin.Vidic@CARNet.hr>
+ Valentin Vidic <vvidic@debian.org>
 Build-Depends: debhelper (>= 11),
  asciidoc,
  dh-python,
@@ -20,10 +19,10 @@
  python-pygments,
  python-setuptools,
  xsltproc
-Standards-Version: 4.1.3
+Standards-Version: 4.3.0
 Homepage: http://crmsh.github.io/
-Vcs-Git: https://alioth.debian.org/anonscm/git/debian-ha/crmsh.git
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-ha/crmsh.git
+Vcs-Browser: https://salsa.debian.org/ha-team/crmsh
+Vcs-Git: https://salsa.debian.org/ha-team/crmsh.git
 
 Package: crmsh
 Architecture: all
@@ -39,6 +38,7 @@
 Replaces: pacemaker (<< 1.1.12)
 Breaks: pacemaker (<< 1.1.12)
 Suggests:
+ bash-completion,
  csync2,
  dmidecode,
  fdisk | util-linux (<< 2.29.2-3~),
@@ -46,7 +46,8 @@
  openssh-server,
  parted,
  sbd,
- ufw
+ ufw,
+ vim-addon-manager
 Description: CRM shell for the pacemaker cluster manager
  The crm shell is an advanced command-line interface for High-Availability
  cluster management in GNU/Linux. Effortlessly configure, manage and

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 export DEB_LDFLAGS_MAINT_APPEND=-Wl,-z,defs
 
 # Properly support multi-arch triplet paths
-DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH) 
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 # If your package provides eggs, install egg-info directories instead of real eggs
 DEB_PYTHON_INSTALL_ARGS_ALL += --single-version-externally-managed
@@ -45,6 +45,13 @@
 	rm debian/tmp/usr/bin/crm
 # remove uninstall file list (breaks reproducible builds)
 	rm debian/tmp/usr/lib/python2.7/dist-packages/crmsh/install_files.txt
+# install bash completion
+	install -m 644 -D contrib/bash_completion.sh debian/tmp/usr/share/bash-completion/completions/crm
+# install vim plugin
+	install -m 644 -D debian/vim-pcmk.yaml debian/tmp/usr/share/vim/registry/vim-pcmk.yaml
+	install -m 644 -D contrib/pcmk-ftdetect.vim debian/tmp/usr/share/vim/addons/ftplugin/vim-pcmk.vim
+	install -m 644 -D contrib/pcmk.vim debian/tmp/usr/share/vim/addons/syntax/pcmk.vim
+	rm -r debian/tmp/usr/share/doc/crmsh/contrib/
 
 override_dh_clean:
 	dh_clean build/ doc/*.8 doc/*.html doc/website-v1/gen/

## crmsh 4.0.0~git20190108.3d56538

=== debian/changelog ===
crmsh (4.0.0~git20190108.3d56538-3ubuntu1) eoan; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/t/utils.sh: in autopkgtest, use --force-depends to fix autopkgtest
      on ubuntu cloud VMs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 05 May 2019 21:00:49 +0200

crmsh (4.0.0~git20190108.3d56538-3) unstable; urgency=medium

  * d/tests: disable regression tests for now
  * d/tests: cleanup regexp

 -- Valentin Vidic <vvidic@debian.org>  Sun, 20 Jan 2019 10:59:14 +0100

crmsh (4.0.0~git20190108.3d56538-2) unstable; urgency=medium

  * d/tests: try to fix regression testsuite

 -- Valentin Vidic <vvidic@debian.org>  Sat, 19 Jan 2019 23:53:26 +0100

crmsh (4.0.0~git20190108.3d56538-1) unstable; urgency=medium

  * New upstream version 4.0.0~git20190108.3d56538 (Closes: #883171)
  * d/control: update for python3
  * d/rules: update for python3
  * d/postinst,prerm: autogenerated with python3
  * d/patches: update for new version
  * d/tests: update for new version
  * d/tests: run testsuite
  * d/control: link fonts from fonts-font-awesome
  * d/rules: install README into /usr/share/doc/crmsh

 -- Valentin Vidic <vvidic@debian.org>  Sat, 19 Jan 2019 12:39:02 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: crmsh
 Section: admin
 Priority: optional
-Maintainer: Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>
 Uploaders:
  Richard B Winters <rik@mmogp.com>,
  Adrian Vondendriesch <adrian.vondendriesch@credativ.de>,
@@ -14,10 +15,12 @@
  dos2unix,
  libxml2-utils,
  pkg-config,
- python-all (>= 2.6.6-3~),
  python-dateutil,
- python-pygments,
  python-setuptools,
+ python3-all,
+ python3-dateutil,
+ python3-pygments,
+ python3-setuptools,
  xsltproc
 Standards-Version: 4.3.0
 Homepage: http://crmsh.github.io/
@@ -26,14 +29,15 @@
 
 Package: crmsh
 Architecture: all
-Depends: ${python:Depends},
+Depends:
  ${misc:Depends},
  gawk,
  pacemaker-cli-utils,
- python2.7 (>=2.7.9),
- python-lxml,
- python-parallax,
- python-yaml
+ ${python3:Depends},
+ python3-dateutil,
+ python3-lxml,
+ python3-parallax,
+ python3-yaml
 Recommends: pacemaker (>= 1.1.12)
 Replaces: pacemaker (<< 1.1.12)
 Breaks: pacemaker (<< 1.1.12)
@@ -61,7 +65,7 @@
 Section: doc
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Depends: ${misc:Depends}, fonts-font-awesome
 Description: crmsh HTML Documentation
  The crm shell is an advanced command-line interface for High-Availability
  cluster management in GNU/Linux. Effortlessly configure, manage and

## crmsh 4.0.0.1

=== debian/changelog ===
crmsh (4.0.0.1-1) unstable; urgency=medium

  * update

 -- Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>  Tue, 29 Jun 2021 11:01:16 +0800

crmsh (4.0.0.1-1) buster; urgency=medium

  * d/patches: include fix for CVE-2020-35459 (Closes: #985376)

 -- Valentin Vidic <vvidic@debian.org>  Sat, 27 Mar 2021 19:07:26 +0100

=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,7 @@
 
 # main packaging script based on dh7 syntax
 %:
-	dh $@ --with python2
+	dh $@ --with python3
 
 override_dh_missing:
 	dh_missing --fail-missing
@@ -38,13 +38,15 @@
 
 override_dh_auto_install:
 	dh_auto_install
-# remove redundant COPYING files
-	rm -v $(DOC)/COPYING $(DOC)/ChangeLog
+# remove redundant files
+	rm -v $(DOC)/COPYING
+# move README to doc dir
+	mv debian/tmp/usr/share/crmsh/tests/README.regression $(DOC)/README.regression
 # keep crm in /usr/sbin for now
 	install -D debian/tmp/usr/bin/crm debian/tmp/usr/sbin/crm
 	rm debian/tmp/usr/bin/crm
 # remove uninstall file list (breaks reproducible builds)
-	rm debian/tmp/usr/lib/python2.7/dist-packages/crmsh/install_files.txt
+	rm debian/tmp/usr/lib/python*/site-packages/crmsh/install_files.txt
 # install bash completion
 	install -m 644 -D contrib/bash_completion.sh debian/tmp/usr/share/bash-completion/completions/crm
 # install vim plugin

## crmsh 4.1.0

=== debian/changelog ===
crmsh (4.1.0-4) unstable; urgency=medium

  * d/tests: skip some tests in uprivileged containers
  * d/control: update Standards-Version to 4.4.1

 -- Valentin Vidic <vvidic@debian.org>  Mon, 18 Nov 2019 20:22:57 +0100

crmsh (4.1.0-3) unstable; urgency=medium

  * d/control: use debhelper v12
  * d/patches: fix new testsuite errors
  * d/patches: fix YAML warning for unsafe loader

 -- Valentin Vidic <vvidic@debian.org>  Sun, 01 Sep 2019 10:39:19 +0200

crmsh (4.1.0-2) unstable; urgency=medium

  * d/control: drop python 2 packages from Build-Depends
  * d/rules: clean using python 3
  * d/patches: build documentation using python 3
  * d/patches: fix spelling problems reported by lintian

 -- Valentin Vidic <vvidic@debian.org>  Fri, 16 Aug 2019 19:07:42 +0200

crmsh (4.1.0-1) unstable; urgency=medium

  * New upstream version 4.1.0
  * d/control: update Standards-Version to 4.4.0
  * d/patches: update for new version

 -- Valentin Vidic <vvidic@debian.org>  Sat, 13 Jul 2019 23:26:42 +0200

=== debian/control ===
--- 
+++ 
@@ -1,28 +1,26 @@
 Source: crmsh
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>
+Maintainer: Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>
 Uploaders:
  Richard B Winters <rik@mmogp.com>,
  Adrian Vondendriesch <adrian.vondendriesch@credativ.de>,
  Valentin Vidic <vvidic@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends:
  asciidoc,
+ debhelper-compat (= 12),
  dh-python,
  docbook-xml,
  docbook-xsl,
  dos2unix,
  libxml2-utils,
  pkg-config,
- python-dateutil,
- python-setuptools,
  python3-all,
  python3-dateutil,
  python3-pygments,
  python3-setuptools,
  xsltproc
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Homepage: http://crmsh.github.io/
 Vcs-Browser: https://salsa.debian.org/ha-team/crmsh
 Vcs-Git: https://salsa.debian.org/ha-team/crmsh.git

=== debian/tests/control ===
Test-Command: crm --help
Depends: crmsh
Restrictions: needs-root

Test-Command: crm help
Depends: crmsh
Restrictions: needs-root

Test-Command: crm --version
Depends: crmsh
Restrictions: needs-root

Tests: utils.sh
Depends: crmsh
Restrictions: needs-root, allow-stderr

Tests: testsuite.sh
Depends: crmsh, python3-nose
Restrictions: needs-root

Tests: pacemaker-basic-resource.sh
Depends: crmsh
Restrictions: needs-root, allow-stderr, isolation-container, skippable

Tests: pacemaker-node-status.sh
Depends: crmsh
Restrictions: needs-root, allow-stderr, isolation-container, skippable

Tests: pacemaker-cluster-init.sh
Depends: crmsh, csync2, ntp, ufw, openssh-server, dmidecode [any-amd64 arm64 armhf any-i386], booth, booth-pacemaker
Restrictions: needs-root, allow-stderr, isolation-container, skippable
